services:
  emailbill:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: emailbill
    restart: always
    networks:
      - all_in
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - ASPNETCORE_URLS=http://+:8080
      - TZ=Asia/Shanghai
    volumes:
      - /wd/apps/vols/emailbill/database:/app/database
      - /wd/apps/vols/emailbill/logs:/app/logs
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro

networks:
  all_in:
    external: true